<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Vzdelavanie\Livewire\Components;

use Illuminate\Contracts\View\View;
use Livewire\Component;
use Seka\Portal\Modul\Vzdelavanie\Models\Pouzivatel\Testovanie\StavVyhodnoteniaTestuEnum;

/**
 * Class Stav
 *
 * @package Seka\Portal\Modul\Vzdelavanie\Livewire\Components
 */
final class Stav extends Component
{
    /**
     * @throws \Illuminate\Contracts\Container\BindingResolutionException
     */
    public function render(): View
    {
        $states = StavVyhodnoteniaTestuEnum::cases();

        return view('Vzdelavanie::livewire.components.stav', compact('states'));
    }
}
